%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-findup-sync
Version:    0.1.3
Release:    1%{?dist}
Summary:    Find the first file matching a given pattern
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/cowboy/node-findup-sync
Source0:    http://registry.npmjs.org/findup-sync/-/findup-sync-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(lodash)
%endif

%description
Find the first file matching a given pattern in the current directory or
the nearest ancestor directory.


%prep
%setup -q -n package
%nodejs_fixdep glob '~3.2.6'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/findup-sync
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/findup-sync

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/findup-sync


%changelog
* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.3.1
- update to upstream release 0.1.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.2-1
- initial package
